2018-10-17 06:48 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005268Talerbank (demonstrator)public2018-07-28 11:59
Reporterh4ck3rm1k3 
Assigned ToMarcello Stanisci 
PrioritynoneSeveritycrashReproducibilityunable to reproduce
StatusresolvedResolutionfixed 
PlatformChromiumOSGNU/LinuxOS VersionDebian SID
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005268: https://bank.demo.taler.net/public-accounts/Bank crashes
DescriptionAssertionError at /public-accounts/Bank
No exception message supplied
Request Method: GET
Request URL: https://bank.demo.taler.net/public-accounts/Bank
Django Version: 2.0
Exception Type: AssertionError
Exception Location: /home/demo-green/local/lib/python3.5/site-packages/talerbank/app/amount.py in __init__, line 54
Python Executable: /usr/local/bin/uwsgi
Python Version: 3.5.3
Python Path:
['.',
 '',
 '/home/demo-green/local/lib/python3.5/site-packages',
 '/usr/lib/python35.zip',
 '/usr/lib/python3.5',
 '/usr/lib/python3.5/plat-x86_64-linux-gnu',
 '/usr/lib/python3.5/lib-dynload',
 '/usr/local/lib/python3.5/dist-packages',
 '/usr/lib/python3/dist-packages']
Server time: Wed, 31 Jan 2018 12:01:53 +0000
Traceback Switch to copy-and-paste view

/usr/local/lib/python3.5/dist-packages/django/db/models/fields/related_descriptors.py in __get__
            rel_obj = self.field.get_cached_value(instance) ...
▶ Local vars
/usr/local/lib/python3.5/dist-packages/django/db/models/fields/mixins.py in get_cached_value
            return instance._state.fields_cache[cache_name] ...
▶ Local vars
During handling of the above exception ('credit_account'), another exception occurred:
/usr/local/lib/python3.5/dist-packages/django/core/handlers/exception.py in inner
            response = get_response(request) ...
▶ Local vars
/usr/local/lib/python3.5/dist-packages/django/core/handlers/base.py in _get_response
                response = self.process_exception_by_middleware(e, request) ...
▶ Local vars
/usr/local/lib/python3.5/dist-packages/django/core/handlers/base.py in _get_response
                response = wrapped_callback(request, *callback_args, **callback_kwargs) ...
▶ Local vars
/home/demo-green/local/lib/python3.5/site-packages/talerbank/app/views.py in serve_public_accounts
    history = extract_history(account) ...
▶ Local vars
/home/demo-green/local/lib/python3.5/site-packages/talerbank/app/views.py in extract_history
        if item.credit_account == account: ...
▶ Local vars
/usr/local/lib/python3.5/dist-packages/django/db/models/fields/related_descriptors.py in __get__
                rel_obj = self.get_object(instance) ...
▶ Local vars
/usr/local/lib/python3.5/dist-packages/django/db/models/fields/related_descriptors.py in get_object
        return qs.get(self.field.get_reverse_related_filter(instance)) ...
▶ Local vars
/usr/local/lib/python3.5/dist-packages/django/db/models/query.py in get
        num = len(clone) ...
▶ Local vars
/usr/local/lib/python3.5/dist-packages/django/db/models/query.py in __len__
        self._fetch_all() ...
▶ Local vars
/usr/local/lib/python3.5/dist-packages/django/db/models/query.py in _fetch_all
            self._result_cache = list(self._iterable_class(self)) ...
▶ Local vars
/usr/local/lib/python3.5/dist-packages/django/db/models/query.py in __iter__
        for row in compiler.results_iter(results): ...
▶ Local vars
/usr/local/lib/python3.5/dist-packages/django/db/models/sql/compiler.py in apply_converters
                    value = converter(value, expression, connection) ...
▶ Local vars
/home/demo-green/local/lib/python3.5/site-packages/talerbank/app/models.py in from_db_value
        return Amount.parse(value) ...
▶ Local vars
/home/demo-green/local/lib/python3.5/site-packages/talerbank/app/amount.py in parse
        return cls(parsed.group(1), value, fraction) ...
▶ Local vars
/home/demo-green/local/lib/python3.5/site-packages/talerbank/app/amount.py in __init__
        assert self.value <= Amount._max_value() ...
▶ Local vars
Request information

USER
h4ck3rm1k3
GET
No GET data
POST
No POST data
FILES
No FILES data
Variable Value
csrftoken
'tDzltG6i7IiseUE5s2cLfbhfbqFtI3mVXqoYl6AbAn9WkYnQYdgFLG5kLi9KvH8Z'
sessionid
'k4j71202gv0gv50yr9jyyu66asoutvrg'
META
Variable Value
CONTENT_LENGTH
''
CONTENT_TYPE
''
CSRF_COOKIE
'tDzltG6i7IiseUE5s2cLfbhfbqFtI3mVXqoYl6AbAn9WkYnQYdgFLG5kLi9KvH8Z'
DOCUMENT_ROOT
'/usr/share/nginx/html'
HTTPS
'on'
HTTP_ACCEPT
'text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8'
HTTP_ACCEPT_ENCODING
'gzip, deflate, sdch, br'
HTTP_ACCEPT_LANGUAGE
'en-US,en;q=0.8,sq;q=0.6,nl;q=0.4,de;q=0.2'
HTTP_CONNECTION
'keep-alive'
HTTP_COOKIE
('sessionid=k4j71202gv0gv50yr9jyyu66asoutvrg; '
 'csrftoken=tDzltG6i7IiseUE5s2cLfbhfbqFtI3mVXqoYl6AbAn9WkYnQYdgFLG5kLi9KvH8Z')
HTTP_DNT
'1'
HTTP_HOST
'bank.demo.taler.net'
HTTP_REFERER
'https://bank.demo.taler.net/public-accounts'
HTTP_UPGRADE_INSECURE_REQUESTS
'1'
HTTP_USER_AGENT
('Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) '
 'Chrome/57.0.2987.98 Safari/537.36')
PATH_INFO
'/public-accounts/Bank'
QUERY_STRING
''
REMOTE_ADDR
'96.235.174.242'
REMOTE_PORT
'42589'
REQUEST_METHOD
'GET'
REQUEST_SCHEME
'https'
REQUEST_URI
'/public-accounts/Bank'
SCRIPT_NAME
''
SERVER_NAME
'bank.demo.taler.net'
SERVER_PORT
'443'
SERVER_PROTOCOL
'HTTP/1.1'
uwsgi.node
b'tripwire'
uwsgi.version
b'2.0.12'
wsgi.errors
<_io.TextIOWrapper name=2 mode='w' encoding='UTF-8'>
wsgi.file_wrapper
''
wsgi.input
<uwsgi._Input object at 0x7f8b85c3d9a8>
wsgi.multiprocess
False
wsgi.multithread
False
wsgi.run_once
False
wsgi.url_scheme
'https'
wsgi.version
(1, 0)
Settings
Using settings module talerbank.settings
Setting Value
ABSOLUTE_URL_OVERRIDES
{}
ADMINS
[]
ALLOWED_HOSTS
['*']
APPEND_SLASH
True
AUTHENTICATION_BACKENDS
['django.contrib.auth.backends.ModelBackend']
AUTH_PASSWORD_VALIDATORS
'********************'
AUTH_USER_MODEL
'auth.User'
BASE_DIR
'/home/demo-green/local/lib/python3.5/site-packages'
CACHES
{'default': {'BACKEND': 'django.core.cache.backends.locmem.LocMemCache'}}
CACHE_MIDDLEWARE_ALIAS
'default'
CACHE_MIDDLEWARE_KEY_PREFIX
'********************'
CACHE_MIDDLEWARE_SECONDS
600
CHECK_DBSTRING_FORMAT
<_sre.SRE_Match object; span=(0, 21), match='postgres:///talerdemo'>
CSRF_COOKIE_AGE
31449600
CSRF_COOKIE_DOMAIN
None
CSRF_COOKIE_HTTPONLY
False
CSRF_COOKIE_NAME
'csrftoken'
CSRF_COOKIE_PATH
'/'
CSRF_COOKIE_SECURE
False
CSRF_FAILURE_VIEW
'django.views.csrf.csrf_failure'
CSRF_HEADER_NAME
'HTTP_X_CSRFTOKEN'
CSRF_TRUSTED_ORIGINS
[]
CSRF_USE_SESSIONS
False
DATABASES
{'default': {'ATOMIC_REQUESTS': False,
             'AUTOCOMMIT': True,
             'CONN_MAX_AGE': 0,
             'ENGINE': 'django.db.backends.postgresql_psycopg2',
             'HOST': '',
             'NAME': 'talerdemo',
             'OPTIONS': {},
             'PASSWORD': '********************',
             'PORT': '',
             'TEST': {'CHARSET': None,
                      'COLLATION': None,
                      'MIRROR': None,
                      'NAME': None},
             'TIME_ZONE': None,
             'USER': ''}}
DATABASE_ROUTERS
[]
DATA_UPLOAD_MAX_MEMORY_SIZE
2621440
DATA_UPLOAD_MAX_NUMBER_FIELDS
1000
DATETIME_FORMAT
'N j, Y, P'
DATETIME_INPUT_FORMATS
['%Y-%m-%d %H:%M:%S',
 '%Y-%m-%d %H:%M:%S.%f',
 '%Y-%m-%d %H:%M',
 '%Y-%m-%d',
 '%m/%d/%Y %H:%M:%S',
 '%m/%d/%Y %H:%M:%S.%f',
 '%m/%d/%Y %H:%M',
 '%m/%d/%Y',
 '%m/%d/%y %H:%M:%S',
 '%m/%d/%y %H:%M:%S.%f',
 '%m/%d/%y %H:%M',
 '%m/%d/%y']
DATE_FORMAT
'N j, Y'
DATE_INPUT_FORMATS
['%Y-%m-%d',
 '%m/%d/%Y',
 '%m/%d/%y',
 '%b %d %Y',
 '%b %d, %Y',
 '%d %b %Y',
 '%d %b, %Y',
 '%B %d %Y',
 '%B %d, %Y',
 '%d %B %Y',
 '%d %B, %Y']
DBCONFIG
{'ATOMIC_REQUESTS': False,
 'AUTOCOMMIT': True,
 'CONN_MAX_AGE': 0,
 'ENGINE': 'django.db.backends.postgresql_psycopg2',
 'HOST': '',
 'NAME': 'talerdemo',
 'OPTIONS': {},
 'PASSWORD': '********************',
 'PORT': '',
 'TEST': {'CHARSET': None, 'COLLATION': None, 'MIRROR': None, 'NAME': None},
 'TIME_ZONE': None,
 'USER': ''}
DBNAME
'postgres:///talerdemo'
DB_URL
ParseResult(scheme='postgres', netloc='', path='/talerdemo', params='', query='', fragment='')
DEBUG
True
DEBUG_PROPAGATE_EXCEPTIONS
False
DECIMAL_SEPARATOR
'.'
DEFAULT_CHARSET
'utf-8'
DEFAULT_CONTENT_TYPE
'text/html'
DEFAULT_EXCEPTION_REPORTER_FILTER
'django.views.debug.SafeExceptionReporterFilter'
DEFAULT_FILE_STORAGE
'django.core.files.storage.FileSystemStorage'
DEFAULT_FROM_EMAIL
'webmaster@localhost'
DEFAULT_INDEX_TABLESPACE
''
DEFAULT_TABLESPACE
''
DISALLOWED_USER_AGENTS
[]
EMAIL_BACKEND
'django.core.mail.backends.smtp.EmailBackend'
EMAIL_HOST
'localhost'
EMAIL_HOST_PASSWORD
'********************'
EMAIL_HOST_USER
''
EMAIL_PORT
25
EMAIL_SSL_CERTFILE
None
EMAIL_SSL_KEYFILE
'********************'
EMAIL_SUBJECT_PREFIX
'[Django] '
EMAIL_TIMEOUT
None
EMAIL_USE_LOCALTIME
False
EMAIL_USE_SSL
False
EMAIL_USE_TLS
False
FILE_CHARSET
'utf-8'
FILE_UPLOAD_DIRECTORY_PERMISSIONS
None
FILE_UPLOAD_HANDLERS
['django.core.files.uploadhandler.MemoryFileUploadHandler',
 'django.core.files.uploadhandler.TemporaryFileUploadHandler']
FILE_UPLOAD_MAX_MEMORY_SIZE
2621440
FILE_UPLOAD_PERMISSIONS
None
FILE_UPLOAD_TEMP_DIR
None
FIRST_DAY_OF_WEEK
0
FIXTURE_DIRS
[]
FORCE_SCRIPT_NAME
None
FORMAT_MODULE_PATH
None
FORM_RENDERER
'django.forms.renderers.DjangoTemplates'
HOST
None
IGNORABLE_404_URLS
[]
INSTALLED_APPS
['django.contrib.admin',
 'django.contrib.auth',
 'django.contrib.contenttypes',
 'django.contrib.sessions',
 'django.contrib.messages',
 'django.contrib.staticfiles',
 'talerbank.app']
INTERNAL_IPS
[]
LANGUAGES
[('af', 'Afrikaans'),
 ('ar', 'Arabic'),
 ('ast', 'Asturian'),
 ('az', 'Azerbaijani'),
 ('bg', 'Bulgarian'),
 ('be', 'Belarusian'),
 ('bn', 'Bengali'),
 ('br', 'Breton'),
 ('bs', 'Bosnian'),
 ('ca', 'Catalan'),
 ('cs', 'Czech'),
 ('cy', 'Welsh'),
 ('da', 'Danish'),
 ('de', 'German'),
 ('dsb', 'Lower Sorbian'),
 ('el', 'Greek'),
 ('en', 'English'),
 ('en-au', 'Australian English'),
 ('en-gb', 'British English'),
 ('eo', 'Esperanto'),
 ('es', 'Spanish'),
 ('es-ar', 'Argentinian Spanish'),
 ('es-co', 'Colombian Spanish'),
 ('es-mx', 'Mexican Spanish'),
 ('es-ni', 'Nicaraguan Spanish'),
 ('es-ve', 'Venezuelan Spanish'),
 ('et', 'Estonian'),
 ('eu', 'Basque'),
 ('fa', 'Persian'),
 ('fi', 'Finnish'),
 ('fr', 'French'),
 ('fy', 'Frisian'),
 ('ga', 'Irish'),
 ('gd', 'Scottish Gaelic'),
 ('gl', 'Galician'),
 ('he', 'Hebrew'),
 ('hi', 'Hindi'),
 ('hr', 'Croatian'),
 ('hsb', 'Upper Sorbian'),
 ('hu', 'Hungarian'),
 ('ia', 'Interlingua'),
 ('id', 'Indonesian'),
 ('io', 'Ido'),
 ('is', 'Icelandic'),
 ('it', 'Italian'),
 ('ja', 'Japanese'),
 ('ka', 'Georgian'),
 ('kab', 'Kabyle'),
 ('kk', 'Kazakh'),
 ('km', 'Khmer'),
 ('kn', 'Kannada'),
 ('ko', 'Korean'),
 ('lb', 'Luxembourgish'),
 ('lt', 'Lithuanian'),
 ('lv', 'Latvian'),
 ('mk', 'Macedonian'),
 ('ml', 'Malayalam'),
 ('mn', 'Mongolian'),
 ('mr', 'Marathi'),
 ('my', 'Burmese'),
 ('nb', 'Norwegian Bokmål'),
 ('ne', 'Nepali'),
 ('nl', 'Dutch'),
 ('nn', 'Norwegian Nynorsk'),
 ('os', 'Ossetic'),
 ('pa', 'Punjabi'),
 ('pl', 'Polish'),
 ('pt', 'Portuguese'),
 ('pt-br', 'Brazilian Portuguese'),
 ('ro', 'Romanian'),
 ('ru', 'Russian'),
 ('sk', 'Slovak'),
 ('sl', 'Slovenian'),
 ('sq', 'Albanian'),
 ('sr', 'Serbian'),
 ('sr-latn', 'Serbian Latin'),
 ('sv', 'Swedish'),
 ('sw', 'Swahili'),
 ('ta', 'Tamil'),
 ('te', 'Telugu'),
 ('th', 'Thai'),
 ('tr', 'Turkish'),
 ('tt', 'Tatar'),
 ('udm', 'Udmurt'),
 ('uk', 'Ukrainian'),
 ('ur', 'Urdu'),
 ('vi', 'Vietnamese'),
 ('zh-hans', 'Simplified Chinese'),
 ('zh-hant', 'Traditional Chinese')]
LANGUAGES_BIDI
['he', 'ar', 'fa', 'ur']
LANGUAGE_CODE
'en-us'
LANGUAGE_COOKIE_AGE
None
LANGUAGE_COOKIE_DOMAIN
None
LANGUAGE_COOKIE_NAME
'django_language'
LANGUAGE_COOKIE_PATH
'/'
LOCALE_PATHS
[]
LOGGER
<logging.Logger object at 0x7f8b85ca4588>
LOGGING
{}
LOGGING_CONFIG
'logging.config.dictConfig'
LOGIN_REDIRECT_URL
'index'
LOGIN_URL
'login'
LOGOUT_REDIRECT_URL
None
MANAGERS
[]
MEDIA_ROOT
''
MEDIA_URL
''
MESSAGE_STORAGE
'django.contrib.messages.storage.fallback.FallbackStorage'
MIDDLEWARE
['django.middleware.security.SecurityMiddleware',
 'django.contrib.sessions.middleware.SessionMiddleware',
 'django.middleware.common.CommonMiddleware',
 'django.middleware.csrf.CsrfViewMiddleware',
 'django.contrib.auth.middleware.AuthenticationMiddleware',
 'django.contrib.sessions.middleware.SessionMiddleware',
 'django.contrib.messages.middleware.MessageMiddleware',
 'django.middleware.clickjacking.XFrameOptionsMiddleware']
MIGRATION_MODULES
{}
MONTH_DAY_FORMAT
'F j'
NUMBER_GROUPING
0
P
{}
PASSWORD_HASHERS
'********************'
PASSWORD_RESET_TIMEOUT_DAYS
'********************'
PREPEND_WWW
False
ROOT_URLCONF
'talerbank.app.urls'
SECRET_KEY
'********************'
SECURE_BROWSER_XSS_FILTER
False
SECURE_CONTENT_TYPE_NOSNIFF
False
SECURE_HSTS_INCLUDE_SUBDOMAINS
False
SECURE_HSTS_PRELOAD
False
SECURE_HSTS_SECONDS
0
SECURE_PROXY_SSL_HEADER
None
SECURE_REDIRECT_EXEMPT
[]
SECURE_SSL_HOST
None
SECURE_SSL_REDIRECT
False
SERVER_EMAIL
'root@localhost'
SESSION_CACHE_ALIAS
'default'
SESSION_COOKIE_AGE
1209600
SESSION_COOKIE_DOMAIN
None
SESSION_COOKIE_HTTPONLY
True
SESSION_COOKIE_NAME
'sessionid'
SESSION_COOKIE_PATH
'/'
SESSION_COOKIE_SECURE
False
SESSION_ENGINE
'django.contrib.sessions.backends.db'
SESSION_EXPIRE_AT_BROWSER_CLOSE
False
SESSION_FILE_PATH
None
SESSION_SAVE_EVERY_REQUEST
False
SESSION_SERIALIZER
'django.contrib.sessions.serializers.JSONSerializer'
SETTINGS_MODULE
'talerbank.settings'
SHORT_DATETIME_FORMAT
'm/d/Y P'
SHORT_DATE_FORMAT
'm/d/Y'
SIGNING_BACKEND
'django.core.signing.TimestampSigner'
SILENCED_SYSTEM_CHECKS
[]
STATICFILES_DIRS
['/home/demo-green/local/lib/python3.5/site-packages/talerbank/app/static',
 '/home/demo-green/local/lib/python3.5/site-packages/talerbank/app/static/web-common']
STATICFILES_FINDERS
['django.contrib.staticfiles.finders.FileSystemFinder',
 'django.contrib.staticfiles.finders.AppDirectoriesFinder']
STATICFILES_STORAGE
'django.contrib.staticfiles.storage.StaticFilesStorage'
STATIC_ROOT
'/tmp/talerbankstatic/'
STATIC_URL
'/static/'
TALER_CURRENCY
'KUDOS'
TALER_DIGITS
2
TALER_EXPECTS_DONATIONS
['Tor', 'GNUnet', 'Taler', 'FSF']
TALER_MAX_DEBT
'KUDOS:0.0'
TALER_MAX_DEBT_BANK
'KUDOS:0.0'
TALER_PREDEFINED_ACCOUNTS
['Tor', 'GNUnet', 'Taler', 'FSF', 'Tutorial']
TALER_SUGGESTED_EXCHANGE
'https://exchange.demo.taler.net/'
TC
<talerbank.talerconfig.TalerConfig object at 0x7f8b85ca45c0>
TEMPLATES
[{'BACKEND': 'django.template.backends.jinja2.Jinja2',
  'DIRS': ['/home/demo-green/local/lib/python3.5/site-packages/talerbank/app/static/web-common/',
           '/home/demo-green/local/lib/python3.5/site-packages/talerbank/app/templates'],
  'OPTIONS': {'environment': 'talerbank.jinja2.environment'}}]
TEMPLATE_CONTEXT_PROCESSORS
[]
TEST_NON_SERIALIZED_APPS
[]
TEST_RUNNER
'django.test.runner.DiscoverRunner'
THOUSAND_SEPARATOR
','
TIME_FORMAT
'P'
TIME_INPUT_FORMATS
['%H:%M:%S', '%H:%M:%S.%f', '%H:%M']
TIME_ZONE
'UTC'
USE_ETAGS
False
USE_I18N
True
USE_L10N
True
USE_THOUSAND_SEPARATOR
False
USE_TZ
True
USE_X_FORWARDED_HOST
False
USE_X_FORWARDED_PORT
False
WSGI_APPLICATION
'talerbank.wsgi.application'
X_FRAME_OPTIONS
'SAMEORIGIN'
YEAR_MONTH_FORMAT
'F Y'
You're seeing this error because you have DEBUG = True in your Django settings file. Change that to False, and Django will display a standard page generated by the handler for this status code.
Steps To Reproducehttps://bank.demo.taler.net/public-accounts/Bank
Additional Information'none'-ing priority, as this issue sounds quite old, and could not be reproduced.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0013039

Marcello Stanisci (manager)

Could not reproduce this. The issue is pretty old, shall we close it?
+Notes

-Issue History
Date Modified Username Field Change
2018-01-31 13:03 h4ck3rm1k3 New Issue
2018-03-05 00:12 Christian Grothoff Project GNUnet => Taler
2018-03-05 00:12 Christian Grothoff Category webpage => General
2018-03-05 00:12 Christian Grothoff Assigned To => Marcello Stanisci
2018-03-05 00:12 Christian Grothoff Status new => assigned
2018-03-05 00:12 Christian Grothoff Category General => bank (demonstrator)
2018-03-05 00:12 Christian Grothoff Target Version => 0.6
2018-06-12 15:34 Marcello Stanisci Note Added: 0013039
2018-06-26 15:07 Marcello Stanisci Priority high => none
2018-06-26 15:07 Marcello Stanisci Additional Information Updated View Revisions
2018-07-28 11:58 Christian Grothoff Status assigned => resolved
2018-07-28 11:58 Christian Grothoff Resolution open => fixed
2018-07-28 11:58 Christian Grothoff Fixed in Version => 0.6
2018-07-28 11:59 Christian Grothoff Reproducibility always => unable to reproduce
+Issue History